/*
*  email-service
*
* Copyright (c) 2012 - 2013 Samsung Electronics Co., Ltd. All rights reserved.
*
* Contact: Kyuho Jo <kyuho.jo@samsung.com>, Sunghyun Kwon <sh0701.kwon@samsung.com>
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*
*/


#ifndef __EMAIL_API_PRIVATE_H__
#define __EMAIL_API_PRIVATE_H__

#include <system_info.h>
#include "email-types.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define EMAIL_FEATURE "http://tizen.org/feature/email"
#define CHECK_EMAILS_SUPPORTED(feature_name) \
	do { \
		bool is_supported = false; \
		system_info_get_platform_bool(feature_name, &is_supported); \
		if (is_supported == false) { \
			LOGE("[%s] feature is disabled", feature_name); \
			return EMAIL_ERROR_NOT_SUPPORTED; \
		} \
	} while (0)


#ifdef __cplusplus
}
#endif /* __cplusplus */

/**
 * @}
 */

#endif /* __EMAIL_API_PRIVATE_H__ */


